%set_verify_elf_method		relaxed
%define		prog_name	gmpc
%define		prog_version	0.15.5.0
%define		part		plugin
%define		func		osd
%define		plugdir		%_libdir/%prog_name/plugins

Name:		%prog_name-%part-%func 
Version:	%prog_version
Release:	alt1.1

Summary:	%func %part for %prog_name %prog_version. 
License: 	GPL
Group: 		Sound

Requires:	%prog_name

Url:		http://www.sarine.nl/gmpc-plugins

Source:		http://www.sarine.nl/gmpc-plugins-downloads/%prog_name-%func-%version.tar.gz

# Automatically added by buildreq on Thu Mar 20 2008
BuildRequires: gcc-c++ glibc-devel-static gmpc-devel libXinerama-devel libgtk+2-devel libxml2-devel libxosd-devel

%description
%func %part for %prog_name %prog_version.

%prep
%setup -q -n %prog_name-%func-%version

%build
%configure
%make_build

%install
%__mkdir_p %buildroot%plugdir
%makeinstall
%__mv %buildroot%_libdir/*.so %buildroot%plugdir

%files
%plugdir/*.so

%changelog
* Thu Mar 20 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.15.5.0-alt1.1
-  plugin install path fix.

* Thu Mar 20 2008 Alex Gorbachenko (agent_007) <algor@altlinux.ru> 0.15.5.0-alt1
-  initial build for ALTLinux.


